;;;;    blas-daxpy.asd - cherry-pick-loads blas' daxpy operation from maxima's lapack tree.
;;;;    Copyright (C) 2010  Norbert Paul
;;;;
;;;;    This program is free software: you can redistribute it and/or modify
;;;;    it under the terms of the GNU General Public License as published by
;;;;    the Free Software Foundation, either version 3 of the License, or
;;;;    (at your option) any later version.
;;;;
;;;;    This program is distributed in the hope that it will be useful,
;;;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;;;    GNU General Public License for more details.
;;;;
;;;;    You should have received a copy of the GNU General Public License
;;;;    along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;;;
;;;;    Contact: norbert.paul@kit.edu

(defpackage blas-system
  (:use :asdf :common-lisp))

(in-package :blas-system)

;; Handle an f2cl-bug.
;(defvar saved-read-default-float-format  *read-default-float-format*)
;(setf *read-default-float-format* 'double-float)

;(asdf:operate 'asdf:load-source-op 'blas)

(defsystem "blas-daxpy"
  :description 
    "A stand-alone system to import the lisp-port of blas shipped with maxima"
  :version  "0.99"
  :author   "Norbert Paul"
  :licence  "GNU"
  :depends-on ("blas-package" "f2cl")
  :perform  (load-source-op around (op c)
			(print 'preparing)
			(let ; us handle an f2cl-bug:
                            ((*read-default-float-format* 'double-float)) 
			    (call-next-method) )
                         (print 'cleanup) )
  :components
  ((:module blas
	    :components
	    ((:file "daxpy")))))


